Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.GZip.GZipException Class Reference

GZipException represents a Gzip specific exception. More...

Inheritance diagram for ICSharpCode.SharpZipLib.GZip.GZipException:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.GZip.GZipException:
[legend]

## Public Member Functions
| GZipException ()
| Initialise a new instance of GZipException.
| GZipException (string message)
| Initialise a new instance of GZipException with its message string.
| GZipException (string message, Exception innerException)
| Initialise a new instance of GZipException.
Public Member Functions inherited from ICSharpCode.SharpZipLib.SharpZipBaseException
| SharpZipBaseException ()
| Initializes a new instance of the SharpZipBaseException class.
| SharpZipBaseException (string message)
| Initializes a new instance of the SharpZipBaseException class with a specified error message.
| SharpZipBaseException (string message, Exception innerException)
| Initializes a new instance of the SharpZipBaseException class with a specified error message and a reference to the inner exception that is the cause of this exception.

## Protected Member Functions
| GZipException (SerializationInfo info, StreamingContext context)
| Deserialization constructor.
Protected Member Functions inherited from ICSharpCode.SharpZipLib.SharpZipBaseException
| SharpZipBaseException (SerializationInfo info, StreamingContext context)
| Deserialization constructor.

## Detailed Description

GZipException represents a Gzip specific exception.

## Constructor & Destructor Documentation

## ◆ GZipException() [1/4]

ICSharpCode.SharpZipLib.GZip.GZipException.GZipException | ( | SerializationInfo | info,
|  | StreamingContext | context )
| protected

Deserialization constructor.

Parameters

  info | SerializationInfo for this constructor
  context | StreamingContext for this constructor

## ◆ GZipException() [2/4]

ICSharpCode.SharpZipLib.GZip.GZipException.GZipException | ( |  | ) |

Initialise a new instance of GZipException.

## ◆ GZipException() [3/4]

ICSharpCode.SharpZipLib.GZip.GZipException.GZipException | ( | string | message | ) |

Initialise a new instance of GZipException with its message string.

Parameters

  message | A string that describes the error.

## ◆ GZipException() [4/4]

ICSharpCode.SharpZipLib.GZip.GZipException.GZipException | ( | string | message,
|  | Exception | innerException )

Initialise a new instance of GZipException.

Parameters

  message | A string that describes the error.
  innerException | The Exception that caused this exception.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/GZip/GZipException.cs